package com.pj.ht_trade_settlement;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.pj.api.dto.TradeSettlementDto;
import com.pj.current.satoken.StpAPPUserUtil;
import com.pj.project4sp.SP;
import com.pj.utils.sg.AjaxJson;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * Controller: ht_trade_settlement -- 航通交易结算表
 *
 * @author yzs
 */
@RestController
@RequestMapping("/app/HtTradeSettlement/")
public class HtTradeSettlementApi {

    /**
     * 底层 Service 对象
     */
    @Autowired
    HtTradeSettlementService htTradeSettlementService;

    /**
     * 查 - 根据id
     */
    @RequestMapping("getById")
    public AjaxJson getById(String id) {
        StpAPPUserUtil.isLogin();
        HtTradeSettlement h = htTradeSettlementService.getById(id);
        return AjaxJson.getSuccessData(h);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    @RequestMapping("getList")
    public AjaxJson getList() {
        SoMap so = SoMap.getRequestSoMap();
        so.put("enterpriseId", StpAPPUserUtil.getAPPLoginInfo().getFk());
        List<HtTradeSettlement> list = htTradeSettlementService.getList(so.startPage());
        return AjaxJson.getPageData(so.getDataCount(), list);
    }


}
