package com.pj.tb_people;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.pj.api.dto.BankInfoDto;
import com.pj.utils.sg.AjaxJson;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * Controller: tb_people -- 边民(app接口)
 * @Author Mechrevo
 * @Date 2023 07 24 14 56
 **/
@RestController
@RequestMapping("/app/TbPeople/")
public class TbPeopleAppController {

    @Autowired
    private TbPeopleService tbPeopleService;

    /** 查个人信息 - 根据id */
    @RequestMapping("getById")
    public AjaxJson getById(String id){
        TbPeople t = tbPeopleService.getById(id);
        return AjaxJson.getSuccessData(t);
    }

    /** 改个人信息 */
    @RequestMapping("update")
    public AjaxJson update(TbPeople t){
        tbPeopleService.update(t);
        return AjaxJson.getSuccess();
    }

    /** 边民保存银行卡信息 */
    @RequestMapping("rpc/saveBankInfo")
    public boolean saveBankByPeople(@RequestParam("id")Long id, @RequestParam("bankName")String bankName, @RequestParam("bankAccount")String bankAccount) {
        return tbPeopleService.saveBankByPeople(id, bankName, bankAccount);
    }

    /** 根据边民姓名与身份证号查询边民是否存在 */
    @PostMapping("rpc/getByidCard")
    public boolean getByidCard(@RequestParam("name")String name, @RequestParam("idCard")String idCard) {
        return tbPeopleService.getByidCard(name, idCard);
    }

    /** 边民备案验证查询-银行回复新开户或变更数据 */
    @PostMapping("rpc/updateBySXB005")
    public boolean updateBySXB005(@RequestBody BankInfoDto bankInfoDto) {
        return tbPeopleService.updateBySXB005(bankInfoDto);
    }
}
